Status: Accepted Priority: Must have
Author: Kay Schecker Category:
Created: 2013-07-10 Assigned To: Adrian Föder
Updated: 2015-04-28 Due date:
Subject: Install of TYPO3.Media Package results in SQL-Error
Description

If i try to install the TYPO3.Media package i run into the following error:

General error: 1005 Can't create table 'DATABASENAME.#sql-531_78c9e'

My composer configuration look like this:

{
    "name": "namespace/package",
    "description" : "description",
    "license": "LGPL-3.0+",
    "minimum-stability" : "dev",
    "config": {
        "vendor-dir": "Packages/Libraries",
        "bin-dir": "bin" 
    },
    "repositories": [        {
            "type": "git",
            "url": "myPrivateGitUrl" 
        }
    ],
    "require": {
        "typo3/flow": "dev-master",
        "typo3/fluid": "@dev",
        "typo3/party": "@dev",
        "doctrine/migrations": "@dev",
    "typo3/media": "dev-master",
        "myPrivateGitPackage": "dev-master" 
    },
    "require-dev": {
        "typo3/kickstart": "dev-master",
        "typo3/buildessentials": "dev-master",
        "mikey179/vfsstream": "1.1.*" 
    },
    "scripts": {
        "post-update-cmd": [
            "Namespace\\Package\\App\\Composer\\InstallerScripts::postUpdateAndInstall",
            "./flow flow:cache:flush",
            "./flow doctrine:migrate",
            "./flow doctrine:update" 
        ],
        "post-install-cmd":  [
            "Namespace\\Package\\App\\Composer\\InstallerScripts::postUpdateAndInstall",
            "./flow flow:cache:flush",
            "./flow doctrine:migrate",
            "./flow doctrine:update" 
        ]
    }
}

History
#1 - 2013-07-10 10:33 - Adrian Föder
- Status changed from New to Accepted

#2 - 2014-08-26 00:30 - DANIEL Rémy

Hi

I run into this issue today. 
I want to use TYPO3.Media in a raw Flow application, without Neos.

When I run the database migration, it fails with an alter table that cannot reference a foreign table.
The query try to reference an old table name (typo3_flow3_resource_resource) and an old field name (flow3_persistence_identifier).

On a fresh Flow installation, this table is now named "typo3_flow_resource_resource" and the field "persistence_object_identifier".
The migration file is Version20110925123120.

For now, I need to fork TYPO3.Media, fix the migration, and then I can require it in my composer.json.

Do we need to keep this old migration?
If yes, maybe a test to fetch the Flow version should be run before this migration?

Cheers

#3 - 2015-04-28 16:43 - DANIEL Rémy

Hi, I can't find why, but with a recent version (846fc7c) of TYPO3.Media, the problem does not exist anymore.
